Install old DietPi without auto-update? Topic is solved

Have some feedback, questions, suggestions, or just fancy a chat? Pop it in here.
User avatar
MichaIng
Site Admin
Posts: 2628
Joined: Sat Nov 18, 2017 6:21 pm

Re: Install old DietPi without auto-update?

Post by MichaIng »

Jep, indeed it sounds promising and when we identify the package, likely the kernel, it can be downgraded and the issue reported to RPi developers.
User avatar
Joulinar
Posts: 3836
Joined: Sat Nov 16, 2019 12:49 am

Re: Install old DietPi without auto-update?

Post by Joulinar »

will play with RPi kernel now
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
User avatar
Joulinar
Posts: 3836
Joined: Sat Nov 16, 2019 12:49 am

Re: Install old DietPi without auto-update?

Post by Joulinar »

it is the kernel. Downgrading to 5.4.79 and it is working again

The other way around and updating to 5.10.16 will still give the error
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
User avatar
feardamhan
Posts: 47
Joined: Tue Apr 28, 2020 12:51 pm

Re: Install old DietPi without auto-update?

Post by feardamhan »

You are making me very happy here. So good to find out I was not going mad (and that I didnt in fact mess up permissions somehow!) 8)
User avatar
Joulinar
Posts: 3836
Joined: Sat Nov 16, 2019 12:49 am

Re: Install old DietPi without auto-update?

Post by Joulinar »

if needed you can downgrade as follow

Code: Select all

sudo rpi-update 0642816ed05d31fb37fc8fbbba9e1774b475113f
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
User avatar
MichaIng
Site Admin
Posts: 2628
Joined: Sat Nov 18, 2017 6:21 pm

Re: Install old DietPi without auto-update?

Post by MichaIng »

Okay, let's report this to the Emby first, as they will probably be able to know better which kernel feature is actually used/responsible. If then something can be fixed kernel-wise, it can be forwarded to RPi devs: https://github.com/MediaBrowser/Emby/issues
User avatar
feardamhan
Posts: 47
Joined: Tue Apr 28, 2020 12:51 pm

Re: Install old DietPi without auto-update?

Post by feardamhan »

MichaIng wrote: Sat Feb 20, 2021 12:03 am Okay, let's report this to the Emby first, as they will probably be able to know better which kernel feature is actually used/responsible. If then something can be fixed kernel-wise, it can be forwarded to RPi devs: https://github.com/MediaBrowser/Emby/issues
Is that something I should do? Or you guys do?
User avatar
Joulinar
Posts: 3836
Joined: Sat Nov 16, 2019 12:49 am

Re: Install old DietPi without auto-update?

Post by Joulinar »

issue has been introduced on 5.10.

It is working well on 5.4.83 but failing on next version 5.10.0
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
User avatar
MichaIng
Site Admin
Posts: 2628
Joined: Sat Nov 18, 2017 6:21 pm

Re: Install old DietPi without auto-update?

Post by MichaIng »

Issue reported: https://github.com/MediaBrowser/Emby/issues/3676
I'll also test on Debian Bullseye VM with Linux 5.10 tomorrow, to check if it's an upstream issue. And Armbian 5.10 kernel.
User avatar
feardamhan
Posts: 47
Joined: Tue Apr 28, 2020 12:51 pm

Re: Install old DietPi without auto-update?

Post by feardamhan »

Magic. Thanks folks!

Can confirm that after downgrading the kernel on my machine its working as expected.
Post Reply